//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  (c) 2010-present DEMOS plan GmbH.
//
//  This file is part of the package demosplan,
//  for more information see the license file.
//
//  All rights reserved
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//  set in DemosPlanCoreBundle/Resources/client/scss/_settings.dplan.scss:44
$dp-z-index-values: (
    'content': $z-content,
    'content-above': $z-content-above,
    'map': $z-map,
    //  'map-popups': $z-map-popups,
    'map-toolbar': $z-map-toolbar,
    //  'map-hint': $z-map-hint,
    //  'tooltip': $z-tooltip,
    //  'tooltip-super': $z-tooltip-super,
    'fixed': $z-fixed,
    //  'modal-overlay': $z-modal-overlay,
    'modal-window': $z-modal-window,
    'super': $z-super,
);

@each $key, $value in $dp-z-index-values {
    .u-z-#{$key} {
        z-index: $value !important;
    }
}
